Create Webhook
Creates a new webhook listener.
Body
application/json
- Type: stringsecret
_token requiredAuthentication token to ensure legitimacy of Gumlet Webhook request on your application.
- Type: array string[]sourcesrequired
List of video collection identifiers for which webhooks are needed to be invoked.
- Type: array string[]triggersrequired
Triggers for the invocation of webhookos, supported option is
status. - Type: stringurlrequired
URL from the application you want to send data to.
Responses
- application/json
- application/json
Request Example for post/org/webhooks
curl https://api.gumlet.com/v1/org/webhooks \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"url": "",
"secret_token": "",
"triggers": [
""
],
"sources": [
""
]
}'
{
"id": "65eed75eadeea8478f14ebd4",
"url": "https://webhook.site/16df065a-b398-48bc-b825-b0804979c5f1",
"triggers": [
"status"
],
"created_at": "2024-03-11T10:05:18.316Z",
"updated_at": "2024-03-11T10:05:18.316Z",
"sources": [
"5f462c1561cf8a766464ffc4"
],
"secret_token": "rnVNfIKgnH"
}
